import type { CSSProperties, FunctionalComponent } from 'vue';
interface Props {
    centerX: number;
    centerY: number;
    path: string;
    label?: any;
    style?: CSSProperties;
    labelStyle?: any;
    labelShowBg?: boolean;
    labelBgStyle?: any;
    labelBgPadding?: [number, number];
    labelBgBorderRadius?: number;
    markerStart?: string;
    markerEnd?: string;
}
/**
 * The base edge is a simple wrapper for svg path
 * You can use the base edge in your custom edges and just pass down the necessary props
 */
declare const BaseEdge: FunctionalComponent<Props>;
export default BaseEdge;
